void CDisplayTemplateMgr::init() {
	m_templateMap[ i18n("Default") ] = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\
<html xmlns=\"http://www.w3.org/1999/xhtml\">\
<head>\
 <title>#TITLE#</title>\
 <meta name=\"GENERATOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta name=\"AUTHOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\
 \
 <style type=\"text/css\">\
 /* <![CDATA[ */\
\
#LANG_CSS#\
\
* { \
 /* To work around a KDE 3.2 bug / problem */\
 background-color:transparent;\
}\
\
#content {\
 background-color:transparent;\
 margin:10px;\
}\
#content > table {\
 margin: 0;\
 padding: 0;\
 border-spacing:10px;\
}\
#content > table th {\
 padding: 0 0 2px 0;\
 text-align: center;\
 font-weight: bold;\
 font-size: 110%;\
 border-bottom: 1px dotted #7B7B7B;\
}\
\
a {\
 text-decoration:none;\
 font-weight:normal;\
 color: #7B7B7B;\
 padding:0 2px;\
 background-color:transparent;\
}\
a:hover {\
 text-decoration:none;\
 background-color:transparent;\
 color: #0000FF;\
 padding:0 2px;\
}\
\
\
/* Settings which apply to all entries in all modules */\
.entry {\
 padding: 2px;\
 /*vertical-align: middle;*/\
 vertical-align: top;\
 text-align: justify;\
}\
td.entry {\
 vertical-align: top;\
 text-align: justify !important;\
}\
#printer .entry {\
 font-size: 90%;\
 text-align: left;\
}\
.entry[dir=rtl] {\
 text-align: right !important;\
}\
#printer .entry[dir=rtl] {\
 text-align:right !important;\
}\
\
/* Keep the values the same as in .entry (take the border into account!) */\
.currententry {\
 padding: 2px;\
 vertical-align: middle;\
 text-align: justify;\
 background-color: #E6E4FF;\
}\
.currententry[dir=rtl] {\
 text-align:right !important;\
}\
div.currententry {\
}\
span.currententry {\
 background-color: #EDEFFF !important;\
}\
\
\
/* Space between the columns of modules displayed side by side */\
td.entry + td.entry { \
 margin-left: 5px;\
}\
\
/* Several additional settings for display of modules*/\
#bible div.currententry, #bible td.currententry {\
 border: 1px solid #B7B7B7;\
 padding: 2px;\
}\
\
\
/*Same for books!*/\
#book div.currententry, #book td.currententry {\
 border: 1px solid #B7B7B7;\
 padding: 2px;\
}\
#book .entryname + .entry {\
 margin-top:2px;\
 padding-top:1px;\
}\
/* To remove the gap between the entrynam and the entry's content*/\
#book .entry > *, #book .currententry > * {\
 margin-top:0px;\
 padding-top:0px;\
}\
\
.entryname {\
 font-size:80%;\
 padding:0 2px 0 0;\
 vertical-align:super;\
}\
.entry[dir=rtl] .entryname, .currententry[dir=rtl] .entryname {\
 padding: 0 0 0 2px;\
 font-size: 80%;\
 vertical-align: super;\
}\
.entryname a, #printer .entryname {\
}\
\
#printer .entry .entry, #printer .entry .sectiontitle , #printer .entry .booktitle {\
 padding-top: 0.05em;\
 margin-left: 10px;\
}\
\
.footnote {\
 vertical-align:super;\
 font-weight: normal;\
 color: blue;\
 font-size: 80%;\
 cursor: help;\
 background-color:transparent;\
}\
.footnote:before { content:\"(\"; }\
.footnote:after { content:\")\"; }\
\
.footnotepre {\
 font-style: italic;\
}\
\
\
.crossreference {\
 font-size: 80%;\
 color: blue;\
}\
#bible .crossreference:before { content:\" [\"; }\
#bible .crossreference:after { content:\"]\"; }\
\
.crossreference a {\
 color: blue;\
}\
.crossreference a:hover {\
 color: blue;\
}\
\
.alternative {}\
.alternative:before { content:\"'\"attr(alternative); }\
.alternative:after{ content:\"'\";}\
\
.abbreviation {\
\
}\
\
.sectiontitle {\
 font-weight: bold;\
 font-size: 110%;\
}\
#printer .sectiontitle {\
 font-weight: bold;\
 font-size: 100%;\
}\
* + .sectiontitle {\
 margin-top:15px;\
}\
\
.booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
#printer .booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
.foreign {\
}\
.jesuswords {\
 color:#9C2323;\
}\
\
.introduction {\
 font-size:80%;\
 text-align:justify;\
}\
\
.quotation {\
}\
.poetry {\
}\
.sup {\
 vertical-align: super;\
}\
.sub {\
 vertical-align: sub;\
}\
.right {\
 text-align: right;\
}\
.center {\
 text-align: center;\
}\
\
.bold {\
 font-weight:bold;\
}\
.illuminated {\
}\
.italic {\
 font-style:italic;\
}\
.line-through {\
}\
.normal {\
}\
.small-caps{\
}\
.underline {\
 font-style:underline;\
}\
\
.inscription {\
}\
.mentioned {\
}\
.name > .geographic {\
}\
.name > .holiday {\
}\
.name > .nonhuman {\
}\
.name > .person {\
}\
.name > .ritual {\
}\
.name > .divine {\
 font-variant: small-caps;\
}\
\
.transchange { \
 font-style:italic; \
}\
.transchange > .added {\
 background-color:inherit;\
}\
.transchange > .amplified { \
}\
.transchange > .changed { \
}\
.transchange > .deleted {\
}\
.transchange > .moved {\
}\
.transchange > .tenseChange {\
}\
\
.morphSegmentation {\
 border-right: 2px solid grey;\
}\
\
#infodisplay {\
 margin:0;\
 padding:0;\
}\
\
#infodisplay .footnoteinfo h3, #infodisplay .strongsinfo h3, #infodisplay .morphinfo h3, #infodisplay .translationinfo h3, #infodisplay .crossrefinfo h3 {\
 padding:4px 4px 2px 0;\
 color:darkGrey;\
 font-weight:bold;\
 border-bottom:1px solid grey;\
 font-size:90%;\
 text-align: right;\
}\
\
#infodisplay > p, #infodisplay * > p,\
#infodisplay > .para, #infodisplay * > .para\
{ /* We only format the first p child in a special way */\
 font-size:95%;\
 text-align:justify !important;\
 color:black;\
 margin:0px;\
 padding:0px;\
}\
\
/*Required for cross references*/\
#infodisplay .entry {\
 padding:2px;\
 text-align:justify !important;\
 font-size:95%;\
 margin-bottom:10px;\
 margin-left:15px;\
}\
#infodisplay .entry[dir=rtl] {\
 text-align: right !important;\
}\
#infodisplay .entry .entry { /*No smaller font size for nested entries*/\
 font-size:100%;\
 margin:0px;\
}\
#infodisplay .entry .entry[dir=rtl] { /*No smaller font size for nested entries*/\
 text-align: right !important;\
}\
#infodisplay .entryname {\
 padding:2px;\
 margin:0px;\
 text-align:left !important;\
 font-weight:bold; \
 font-size:100%;\
}\
\
#infodisplay .rangeheading {\
 color:black;\
 font-weight:bold;\
 margin-left:-10px;\
}\
\
#printer .rangeheading {\
 border-bottom:1px solid black;\
 color:black;\
}\
\
 /* ]]> */\
 </style>\
</head>\
\
<body id=\"#DISPLAYTYPE#\">\
 <div id=\"content\" lang=\"#LANG_ABBREV#\" xml:lang=\"#LANG_ABBREV#\" dir=\"#PAGE_DIRECTION#\">#CONTENT#</div>\
</body>\
</html>\
";
	m_templateMap[ i18n("Crazy") ] = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\
<html xmlns=\"http://www.w3.org/1999/xhtml\">\
<head>\
 <!--TODO: This needs a better title than \"Crazy\"-->\
 <title>#TITLE#</title>\
 <meta name=\"GENERATOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta name=\"AUTHOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\
\
 <style type=\"text/css\">\
/* <![CDATA[ */\
\
body {\
 margin:0px;\
 padding:0;\
 padding:1em;\
 background-color:transparent;\
}\
\
* {\
 background-color:transparent; /* To work around a KDE 3.2 bug / problem */\
}\
\
\
/* content wraps all of the displayed elements */\
#content {\
 margin:0px;\
 padding:0px;\
 font-size:12pt;\
 text-align:justify;\
}\
\
/* The table contains the Bible verses, each verse on an own row, each Bible module in an own column */\
#content > table {\
 margin:0;\
 padding:3px;\
 border-spacing:0;\
 vertical-align:top;\
 text-align:justify;\
}\
/* The heading contains the name of the module and may contain additional information like the display keys */\
#content > table th {\
 text-shadow:black 1px 1px 3px;\
 font-size:1.3em;\
 background-color:#F0F0F0;\
 padding:8px;\
 border-bottom:1px solid black;\
}\
\
#content tr:nth-child(odd) { background-color: white; }\
#content div.entry:nth-child(odd) { background-color: white; }\
\
#content tr:nth-child(even) { background-color: #EDEDED; }\
#content div.entry:nth-child(even) { background-color: #EDEDED; }\
/*#content tr:nth-child(even) { background-color: #D0D0D0; }\
#content div.entry:nth-child(even) { background-color: #D0D0D0; }*/\
\
\
/* The a links are the normal HTML hyperlinks. Links without a class attribute are hyperlinks into the web */\
a { color:#FF0004; padding:0; }\
a:hover { }\
\
/* An entry is the generic element used for all content items.\
 In Bibles an entry contains a verse, in commentaries the comment to a verse range,\
 in lexicons an simple item and in book the text of an item with other .entry elements as childs.\
\
 If just one module is chosen, all entries are put together in one sourrounding table column. In this case the elements div and span may have the class \"entry\". If it's a div each entry should be on it's own line. span.entry should not add a linebreak.\
\
 If more than one module (Bibles) was chosen, the entry class applies to \"td\" elements, one column for a verse\
 */\
.entry {\
 padding:0.3em;\
 vertical-align: top;\
}\
table .entry:nth-child(odd) {\
 border-left:10px solid #DEE6F6;\
}\
\
table .entry:nth-child(even) {\
 border-left:10px solid #E6EEFF;\
}\
\
#printer .entry { text-indent:15px; }\
/* Often needed to format BiDi text in the right way */\
/* .entry[dir=rtl] { text-align:right !important; } */b\
/* #printer .entry[dir=rtl] { } */\
\
/* Special formatting for the block element entries */\
div.entry, td.entry { }\
td.entry {\
 vertical-align:top;\
}\
\
/* Currententry is chosen when the entry should be highlighted as the current entry chosen by the user\
 currententry may apply to span, div, td (just like .entry)\
 */\
.currententry {\
 padding:0.3em;\
 line-height:1.6em;\
 background-color:#D3E5FF;\
 /*border: thin solid black;*/\
 \
}\
\
table .currententry:nth-child(1) {\
 margin-left:0;\
 border-left:10px solid #99B4FF;\
 /*border-left:10px solid #F5FF6A;*/\
}\
/* .currententry[dir=rtl] { */\
/* } */\
div.currententry { }\
span.currententry { }\
\
/* You may use this to format the space between two columns */\
td.entry + td.entry {\
 margin:0;\
}\
\
/* Several additional settings for displaying Bible modules*/\
#bible div.entry {\
 border-left:10px solid white;\
}\
#bible div.entry[dir=rtl] {\
 border-left:none;\
 border-right:10px solid white;\
 text-align:right;\
}\
#bible div.currententry {\
 border-left:10px solid #99B4FF;\
}\
#bible div.currententry[dir=rtl] {\
 border-left:none;\
 border-right:10px solid #99B4FF;\
}\
#bible div.currententry, #bible td.currententry { }\
#bible td.currententry { }\
\
/* Same for books! */\
#book div.currententry, #book td.currententry { }\
#book .entryname + .entry { }\
/* To remove the gap between the entryname and the entry's content*/\
#book .entry > *, #book .currententry > * { }\
\
/* An entryname is embedded in an .entry tag and contains the name of the key, which belongs to the text of the .entry */\
.entryname { size:60%; vertical-align:super;}\
.entryname a { text-decoration:none !important; color:#8F2627 !important; font-style:italic; padding:0; }\
\
.entry[dir=rtl] .entryname, .currententry[dir=rtl] .entryname { }\
.entryname a, #printer .entryname { }\
/* As you can see #printer is used to format pages which are send to the printer. Printer pages should be clean and easy to read */\
#printer .entry .entry, #printer .entry .sectiontitle , #printer .entry .booktitle { }\
\
/* Footnote formatting options */\
/* A footnote is displayed as an asterisk or another small character. You can set the colors, font-size, etc. for the footnote. */\
.footnote { color:#8F2627; vertical-align:super; font-size:70%;}\
/* You may use this to add sourrounding brackets in Bible modules. To do this the content command of CSS */\
#bible .footnote:before { content:\" [\"; color:#8F2627; }\
#bible .footnote:after { content:\"]\"; color:#8F2627; }\
\
/* Crossreferences. The same as footnotes */\
.crossreference { color:#8f2627;}\
#bible .crossreference:before { content:\" {\" }\
#bible .crossreference:after { content:\"}\" }\
\
/*Keep in mind that for cross references it is not enough to\
*set only the cross reference colour, you must also set the\
*cross reference anchor marker with .crossreference a\
*This way both the non linked and linked text will show\
*as desired. Additionally, you can have seperate formatting\
*for linked and non linked text in the cross reference*/\
.crossreference a {\
 color:#8f2627;\
 /*Get rid of underlines on the notes when not hovered*/\
 text-decoration: none;\
}\
.crossreference a:hover {}\
\
/* Alternative reading as defined in the OSIS specs. The information about the alternative text is displayed in the info display. It's\
often a good idea to format this the same as footnotes\
The text which is the alternative of the displayed text is available in the attribute \"alternative\"\
so something like .alternative:before { content:\"'\"attr(alternative); } is possible\
*/\
.alternative {}\
.alternative:before { }\
.alternative:after { }\
\
/* An abbreviation. */\
.abbreviation { }\
\
/* A title within the text. This is the formatting which applies to a title of a section, as you can find them in Bibles */\
.sectiontitle {\
 padding:0.3em;\
 /*text-shadow:gray 0px 0px 3px;*/\
 font-size:1.3em;\
 font-weight:bold;\
 text-transform:uppercase;\
 padding-bottom:2px;\
}\
#printer .sectiontitle { }\
/* You may want to format elements before section titles in a special way. */\
* + .sectiontitle { }\
\
/* The title of a book, e.g. \"The gospel of Matthew\" */\
.booktitle { }\
#printer .booktitle { }\
\
/* A foreign word */\
.foreign { }\
\
/* Words spoken by Jesus Christ */\
/*.jesuswords { color: red; }*/\
.jesuswords { color: #B60000; }\
\
/* An introduction to a module, book or chapter */\
.introduction { }\
/* A quotation without a special speaker */\
.quotation { }\
/* Poetry formatting */\
.poetry { }\
/* Text displayed above. It's like the sup tag in HTML */\
.sup { }\
/* Sub text, the opposite of .sup */\
.sub { }\
/* Display the text inside as right aligned text */\
.right { }\
/* Display as centered text */\
.center { }\
\
/* Visual attributes to the text */\
.bold {\
 font-weight: bold;\
}\
.illuminated { }\
.italic {\
 font-style: italic;\
}\
.line-through { }\
.normal { }\
.small-caps{ }\
.underline { }\
\
/* An inscription */\
.inscription { }\
\
.mentioned { }\
\
/* Special formatting rules for names, see the OSIS specs for detailed information */\
.name {}\
.name > .geographic { }\
.name > .holiday { }\
.name > .nonhuman { }\
.name > .person { }\
.name > .ritual { }\
.name > .divine { font-variant: small-caps; }\
\
/* Information added by the translator */\
.transchange {}\
.transchange > .added { }\
.transchange > .amplified {}\
.transchange > .changed { }\
.transchange > .deleted { }\
.transchange > .moved { }\
.transchange > .tenseChange { }\
\
/* Special text markup */\
/* Morph segmentation is a special feature for hebrew to markup the word divisions in the text */\
/* .morphSegmentation { border-left:1px solid red; } */\
.morphSegmentation + .morphSegmentation {\
 border-right: 1px red solid;\
}\
\
/* The formatting of all things displayed in the information window */\
#infodisplay {background:white; font-size:10pt; padding:5px; margin:0px;}\
\
/* The headings of a section, several sections may be displayed together at the same time */\
#infodisplay .footnoteinfo h3,\
#infodisplay .strongsinfo h3,\
#infodisplay .morphinfo h3,\
#infodisplay .translationinfo h3,\
#infodisplay .crossrefinfo h3 {\
 font-size:12pt;\
 font-weight:bold;\
 text-transform:uppercase;\
 text-align:right;\
 color:gray;\
 border-bottom:1px solid black;\
 padding:4px;\
}\
\
#infodisplay > p, #infodisplay * > p { /* We only format the first p child in a special way */\
 font-size:80%;\
}\
\
/*Required for cross references*/\
#infodisplay .entry {\
 font-size:80%;\
}\
#infodisplay .entry .entry { /* No smaller font size for nested entries */\
 font-size:100% !important;\
}\
#infodisplay .entryname {\
 font-weight:bold;\
}\
#infodisplay .rangeheading {\
 font-weight:bold;\
}\
\
#printer .rangeheading {}\
\
\
*[dir=rtl] { text-align:right !important; }\
\
/* Here's the marker for the language specific fotn information. BibleTime replaces this by the CSS for the fonts */\
#LANG_CSS#\
\
/* ]]> */\
 </style>\
</head>\
\
<!-- The display type may be bible, book, printer -->\
<body id=\"#DISPLAYTYPE#\">\
 <div id=\"content\" lang=\"#LANG_ABBREV#\" xml:lang=\"#LANG_ABBREV#\" dir=\"#PAGE_DIRECTION#\">#CONTENT#</div>\
</body>\
</html>\
";
	m_templateMap[ i18n("Green") ] = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\
<html xmlns=\"http://www.w3.org/1999/xhtml\">\
<head>\
 <title>#TITLE#</title>\
 <meta name=\"GENERATOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta name=\"AUTHOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\
 \
 <style type=\"text/css\">\
 /* <![CDATA[ */\
\
* { \
 /* To work around a KDE 3.2 bug / problem */\
 background-color:transparent;\
}\
\
#content {\
 background-color:transparent;\
 margin:10px;\
}\
#content > table {\
 margin: 0;\
 padding: 0;\
 border-spacing:10px;\
 vertical-align:top;\
}\
#content > table th {\
 padding: 0 0 2px 0;\
 text-align: center; \
 font-weight: bold;\
 font-size: 110%;\
 border-bottom: 1px solid #6B6B6B;\
}\
\
a {\
 text-decoration:none;\
 font-weight:normal;\
 color: #3B11AE;\
 background-color:transparent; \
 padding:0 2px;\
}\
a:hover {\
 background-color:transparent;\
 color: #AE1518;\
 padding:0 2px;\
}\
\
\
/* Settings which apply to all entries in all modules */\
.entry {\
 padding: 3px;\
/* vertical-align: middle; */\
 vertical-algin: top;\
 text-align: justify;\
}\
#printer .entry {\
 font-size:90%;\
 text-align:left;\
}\
.entry[dir=rtl] {\
 text-align:right !important;\
}\
#printer .entry[dir=rtl] {\
 text-align:right !important;\
}\
div.entry, td.entry {\
 vertical-align:top;\
}\
\
/* Keep the values the same as in .entry (take the border into account!) */\
.currententry {\
 padding:3px;\
 vertical-align:middle;\
 text-align:justify;\
}\
.currententry[dir=rtl] {\
 text-align:right !important;\
}\
div.currententry {\
}\
span.currententry {\
 background-color:#D4FFCB;\
}\
\
\
/*Space between the columns of modules displayed side by side*/\
td.entry + td.entry { \
 margin-left: 5px;\
}\
\
/* Several additional settings for display of modules*/\
#bible div.currententry, #bible td.currententry {\
 border:1px solid black;\
 padding:2px;\
 background-color:#F6FFF7;\
}\
#bible span.currententry {\
 background-color:#C8FFB6;\
}\
\
/*Same for books!*/\
#book div.currententry, #book td.currententry {\
 border:1px solid black;\
 background-color:#F6FFF7;\
}\
#book span.currententry {\
 background-color:#C8FFB6;\
}\
\
\
.entryname {\
 font-size:80%;\
 padding:0 2px 0 0;\
 vertical-align:super;\
}\
.entry[dir=rtl] .entryname, .currententry[dir=rtl] .entryname {\
 padding: 0 0 0 2px;\
 font-size: 80%;\
 vertical-align:super;\
}\
.entryname a, #printer .entryname {\
 vertical-align: middle\
}\
\
#printer .entry .entry, #printer .entry .sectiontitle , #printer .entry .booktitle {\
 padding-top: 0.05em;\
 margin-left: 10px;\
}\
\
.footnote {\
 vertical-align:super;\
 color: blue;\
 font-size: 70%;\
}\
.footnote:before { content:\"(\"; }\
.footnote:after { content:\")\"; }\
\
.crossreference {\
 font-size: 80%;\
 /*vertical-align:middle;*/\
 color: blue;\
}\
\
.crossreference a {\
 font-size: 80%;\
 /*vertical-align:middle;*/\
 color: blue;\
}\
\
.crossreference a:hover {\
 font-size: 80%;\
 /*vertical-align:middle;*/\
 color: blue;\
}\
\
\
\
.sectiontitle {\
 font-weight: bold;\
 font-size: 110%;\
}\
#printer .sectiontitle {\
 font-weight: bold;\
 font-size: 100%;\
}\
* + .sectiontitle {\
 margin-top:15px;\
}\
\
.booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
#printer .booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
.foreign {\
}\
.jesuswords {\
 color:#9C2323;\
}\
\
.quotation {\
}\
.poetry {\
}\
.sup {\
 vertical-align: super;\
}\
.sub {\
 vertical-align: sub;\
}\
.right {\
 text-align: right;\
}\
.center {\
 text-align: center;\
}\
\
.bold {\
 font-weight:bold;\
}\
.illuminated {\
}\
.italic {\
 font-style:italic;\
}\
.line-through {\
}\
.normal {\
}\
.small-caps{\
}\
.underline {\
 font-style:underline;\
}\
\
.inscription {\
}\
.mentioned {\
}\
.name > .geographic {\
}\
.name > .holiday {\
}\
.name > .nonhuman {\
}\
.name > .person {\
}\
.name > .ritual {\
}\
.name > .divine {\
 font-variant: small-caps;\
}\
\
.transchange { \
 font-style:italic; \
}\
.transchange > .added {\
 background-color:inherit;\
}\
.transchange > .amplified { \
}\
.transchange > .changed { \
}\
.transchange > .deleted {\
}\
.transchange > .moved {\
}\
.transchange > .tenseChange {\
}\
\
.morphSegmentation {\
 border: 1px solid grey;\
 margin-top: 1px; /* Don`t let the boxes touch here, between the lines */\
 margin-left: -1px; /* But here, for better reading of the text, \
 this will only occur within a word consisting of several segments.*/\
 margin-right: 0px;\
}\
\
#infodisplay {\
 margin:0;\
 padding:0;\
 font-size:100%;\
}\
\
#infodisplay .footnoteinfo h3, #infodisplay .strongsinfo h3, #infodisplay .morphinfo h3, #infodisplay .translationinfo h3, #infodisplay .crossrefinfo h3 {\
 padding:4px 4px 2px 0;\
 color:darkGrey;\
 font-weight:bold;\
 border-bottom:1px solid grey;\
 font-size:100%;\
 text-align:left !important;\
}\
\
#infodisplay > p, #infodisplay * > p { /* We only format the first p child in a special way */\
 font-size:100%;\
 text-align:justify;\
 color:black;\
 margin:0px;\
 padding:0px;\
}\
\
/*Required for cross references*/\
#infodisplay .entry {\
 padding:2px;\
 text-align:justify;\
 font-size:100%;\
 margin-bottom:10px;\
 margin-left:15px;\
}\
#infodisplay .entry .entry { /*No smaller font size for nested entries*/\
 font-size:100%;\
 margin:0px;\
}\
#infodisplay .entryname {\
 padding:2px;\
 margin:0px;\
 text-align:left;\
 font-weight:bold; \
 font-size:100%;\
}\
\
#infodisplay .rangeheading {\
 color:black;\
 font-weight:bold;\
 margin-left:-10px;\
}\
\
#printer .rangeheading {\
 border-bottom:1px solid black;\
 color:black;\
}\
\
#LANG_CSS#\
\
 /* ]]> */\
 </style>\
</head>\
\
<body id=\"#DISPLAYTYPE#\">\
 <div id=\"content\" lang=\"#LANG_ABBREV#\" xml:lang=\"#LANG_ABBREV#\" dir=\"#PAGE_DIRECTION#\">#CONTENT#</div>\
</body>\
</html>\
";
	m_templateMap[ i18n("High contrast") ] = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\
<html xmlns=\"http://www.w3.org/1999/xhtml\">\
<head>\
 <title>#TITLE#</title>\
 <meta name=\"GENERATOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta name=\"AUTHOR\" content=\"BibleTime - www.bibletime.info\" />\
 <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\
 \
 <style type=\"text/css\">\
 /* <![CDATA[ */\
\
* { \
 /* To work around a KDE 3.2 bug / problem */\
 background-color:transparent;\
}\
\
#content {\
 /*background-color:white;*/\
 margin:10px;\
}\
#content > table {\
 margin: 0;\
 padding: 0;\
 border-spacing:10px;\
 vertical-align:top;\
}\
#content > table th {\
 padding: 0 0 2px 0;\
 text-align: center; \
 /*font-weight: bold;*/\
 font-size: 110%;\
 border-bottom: 1px solid #6B6B6B;\
}\
\
a {\
 text-decoration:none;\
 font-weight:normal;\
 /*color: #F98100;*/\
 padding:1px;\
 background-color:transparent;\
}\
a:hover {\
 background-color:transparent;\
 color: #FF0000;\
 padding:1px;\
 text-decoration:underline;\
}\
\
/* Settings which apply to all entries in all modules */\
.entry {\
 padding: 2px;\
 vertical-align: top;\
 text-align: justify;\
}\
#printer .entry {\
 font-size: 90%;\
 text-align: left;\
}\
.entry[dir=rtl],#printer .entry[dir=rtl] {\
 text-align: right;\
}\
div.entry, td.entry {\
 vertical-align:top; \
}\
\
/* Keep the values the same as in .entry (take the border into account!) */\
.currententry {\
 padding: 2px;\
 vertical-align: top;\
 text-align: justify;\
 /*font-weight: bolder;*/\
 /*background-color:transparent;*/\
 /*color:white;*/\
 /*background-color:black;*/\
 /*The background colour of selected text as of kde 3.5.2*/\
 background-color: #A5A5FF;\
}\
.currententry[dir=rtl] {\
 text-align: right;\
}\
div.currententry {\
}\
span.currententry {\
 \
}\
\
\
/*Space between the columns of modules displayed side by side*/\
td.entry + td.entry { \
 margin-left: 5px;\
}\
\
/* Several additional settings for display of modules*/\
#bible div.currententry, #bible td.currententry {\
 /*border: 1px solid black;*/\
 padding: 4px;\
}\
#bible span.currententry {\
}\
\
/*Same for books!*/\
#book div.currententry, #book td.currententry {\
 border: 1px solid black;\
}\
#book span.currententry {\
}\
\
\
.entryname {\
 font-size:70%;\
 padding:0 1px 0 0;\
 vertical-align:top;\
 /*color: #F98100;*/\
 color: black;\
 /*font-style: italic;*/\
}\
.entry[dir=rtl] .entryname, .currententry[dir=rtl] .entryname {\
 padding:0 0 0 1px;\
 font-size:60%;\
 /*vertical-align:top; */\
}\
.entryname a, #printer .entryname {\
 vertical-align: top;\
 font-size: 100%;\
 font-weight: bold;\
 color: black;\
}\
\
#printer .entry .entry, #printer .entry .sectiontitle , #printer .entry .booktitle {\
 padding-top:0.05em;\
 margin-left:10px;\
}\
\
.footnote {\
 vertical-align:super;\
 font-weight:bold;\
 /*color: #00B7FF;*/ /*This one is kind of blinding on white*/\
 /*color: #F98100;*/\
 font-size:80%;\
 color: black;\
}\
\
\
.footnote:before {\
 content: \"(\";\
}\
\
.footnote:after {\
 content: \")\";\
}\
\
.crossreference {\
 font-size: 80%;\
 /*vertical-align:middle;*/\
 /*color: blue;*/\
 /*color: #F98100;*/\
}\
\
.crossreference:before {\
 content: \"[\";\
}\
\
.crosreference:after {\
 content: \"]\";\
}\
\
.sectiontitle {\
 font-weight: bold;\
 font-size: 110%;\
}\
#printer .sectiontitle {\
 font-weight: bold;\
 font-size: 100%;\
}\
* + .sectiontitle {\
 margin-top:15px;\
}\
\
.booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
#printer .booktitle {\
 font-weight: bold;\
 font-size: 120%;\
 font-variant: small-caps;\
}\
.foreign {\
}\
.jesuswords {\
 /*color:red;*/\
 /*color: #7500AC;*/\
 /*color: #F98100;*/\
 font-style:italic;\
 /*font-weight: bold;*/\
 font-size:0.9em;\
}\
\
.quotation {\
}\
.poetry {\
}\
.sup {\
 vertical-align: super;\
}\
.sub {\
 vertical-align: sub;\
}\
.right {\
 text-align: right;\
}\
.center {\
 text-align: center;\
}\
\
.bold {\
 font-weight:bold;\
}\
.illuminated {\
}\
.italic {\
 font-style:italic;\
}\
.line-through {\
}\
.normal {\
}\
.small-caps{\
}\
.underline {\
 font-style:underline;\
}\
\
.inscription {\
}\
.mentioned {\
}\
.name > .geographic {\
}\
.name > .holiday {\
}\
.name > .nonhuman {\
}\
.name > .person {\
}\
.name > .ritual {\
}\
.name > .divine {\
 font-variant: small-caps;\
}\
\
.transchange { \
 font-style:italic; \
}\
.transchange > .added {\
 background-color:inherit;\
}\
.transchange > .amplified { \
}\
.transchange > .changed { \
}\
.transchange > .deleted {\
}\
.transchange > .moved {\
}\
.transchange > .tenseChange {\
}\
\
.morphSegmentation {\
 border: 1px solid grey;\
 margin-top: 1px; /* Don`t let the boxes touch here, between the lines */\
 margin-left: -1px; /* But here, for better reading of the text, \
 this will only occur within a word consisting of several segments.*/\
 margin-right: 0px;\
}\
\
#infodisplay {\
 margin:0;\
 padding:0;\
}\
\
#infodisplay .footnoteinfo h3, #infodisplay .strongsinfo h3, #infodisplay .morphinfo h3, #infodisplay .translationinfo h3, #infodisplay .crossrefinfo h3 {\
 padding: 2px 0 0 0;\
 color: black;\
 font-weight: bold;\
 border-bottom: 1px solid black;\
 font-size: 90%;\
 margin: 0 0 3px 0;\
}\
\
#infodisplay > p { /* We only format the first p child in a special way */\
 font-size: 90%;\
 color: black;\
 margin: 0px;\
 padding: 0px;\
}\
\
/*Required for cross references*/\
#infodisplay .entry {\
 padding: 2px;\
 text-align: justify;\
 font-size: 80%;\
 margin: 0 0 10px 10px;\
}\
#infodisplay .entry .entry { /*No smaller font size for nested entries*/\
 font-size: 100%;\
 margin: 0px;\
}\
#infodisplay .entryname {\
 padding: 2px;\
 margin: 0px;\
 text-align: left;\
 font-weight: bold;\
 font-size: 90%;\
}\
\
#infodisplay .rangeheading {\
 color: black;\
 font-weight: bold;\
 margin-left: -5px;\
}\
\
#printer .rangeheading {\
 border-bottom: 1px solid black;\
 color: black;\
}\
\
#LANG_CSS#\
\
 /* ]]> */\
 </style>\
</head>\
\
<body id=\"#DISPLAYTYPE#\">\
 <div id=\"content\" lang=\"#LANG_ABBREV#\" xml:lang=\"#LANG_ABBREV#\">#CONTENT#</div>\
</body>\
</html>\
";
	m_templateMap[ i18n("Simple") ] = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\
<html xmlns=\"http://www.w3.org/1999/xhtml\">\
<head>\
 <title>#TITLE#</title>\
 <meta name=\"GENERATOR\" content=\"BibleTime \" VERSION \"\" />\
 <meta name=\"AUTHOR\" content=\"BibleTime \" VERSION \"\" />\
 <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\
 \
 <style type=\"text/css\">\
/* <![CDATA[ */\
body {\
 margin:5px;\
}\
#content {\
 background-color:white;\
}\
#content table {\
 margin:0;\
 padding:0;\
 border-spacing:10px;\
 border-collapse: collapse;\
 vertical-align: top;\
}\
#content table th {\
 padding: 0 0 2px 0;\
 text-align: center; \
 font-weight: bold;\
 font-size: 115%;\
}\
\
a {\
 text-decoration:none;\
 font-weight:normal;\
 color: blue;\
 padding:2px;\
}\
\
td.entry, div.entry {\
 padding: 5px;\
 vertical-align: top;\
}\
span.entry {\
 padding: 5px;\
}\
\
td.currententry, div.currententry {\
 padding: 5px;\
 vertical-align: top;\
 font-weight:bold;\
}\
td.entry + td.entry {\
 margin-left: 5px;\
}\
span.currententry {\
 font-weight:bold;\
 vertical-align: middle;\
 padding: 5px;\
}\
\
.footnote {\
 color: gray;\
}\
\
.strongnumber {\
 vertical-align: top;\
 font-size: 60%;\
 color: blue;\
}\
.morphcode {\
 vertical-align: top;\
 font-size: 60%;\
 color: blue;\
}\
.lemma {\
}\
\
.sectiontitle {\
 font-weight: bold;\
 font-size: 120%;\
}\
.entry + .sectiontitle {\
 margin-top:35px;\
 padding-top:35px;\
}\
\
.booktitle {\
 font-weight: bold;\
 font-size: 140%;\
}\
.foreign {\
}\
.jesuswords {\
 color: red;\
 font-size: 0.9em;\
}\
\
.name > .divine {\
 font-variant: small-caps;\
}\
\
.quotation {\
}\
.poetry {\
}\
.sup {\
 vertical-align: super;\
}\
.sub {\
 vertical-align: sub;\
}\
.right {\
 text-align: right;\
}\
.center {\
 text-align: center;\
}\
/*TODO: Think of something better here since this will get confusing*/\
/* on verses but, is needed for things inthe Mag/Info window*/\
.bold {\
 font-weight: bold;\
}\
.italic {\
 font-style: italic;\
}\
#LANG_CSS#\
/* ]]> */\
 </style>\
</head>\
\
<body>\
 <div id=\"content\" lang=\"#LANG_ABBREV#\" xml:lang=\"#LANG_ABBREV#\" dir=\"#PAGE_DIRECTION#\">#CONTENT#</div>\
</body>\
</html>\
";

}
